List recent events
curl --request GET \
--url https://plainrouter.com/api/v1/dashboard/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://plainrouter.com/api/v1/dashboard/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://plainrouter.com/api/v1/dashboard/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": {
"current_page": 123,
"data": [
{
"id": "<string>",
"signal_tracker_id": "<string>",
"parent_event_id": "<string>",
"event_name": "<string>",
"event_time": "<string>",
"action_source": "<string>",
"event_class": "<string>",
"order_id": "<string>",
"value_amount": 123,
"value_currency": "<string>",
"created_at": "<string>",
"consent_basis": "<string>",
"measurement_class": "<string>",
"attribution_join": "<string>",
"enforcement_scope": "<string>",
"consent_normalization_version": "<string>",
"consent": {},
"user_data_hashed": {},
"click_ids": {},
"session": {},
"value_data": {},
"event_source": "<string>",
"payload_expired": true,
"deliveries": [
{
"id": 123,
"signal_tracker_id": "<string>",
"event_id": "<string>",
"destination_id": "<string>",
"status": "queued",
"is_test": true,
"attempt_count": 123,
"last_error": {},
"platform_response": {},
"platform_trace_id": "<string>",
"next_attempt_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
],
"first_page_url": "<string>",
"from": 123,
"last_page": 123,
"last_page_url": "<string>",
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"next_page_url": "<string>",
"path": "<string>",
"per_page": 123,
"prev_page_url": "<string>",
"to": 123,
"total": 123
},
"metrics": {
"accepted": 123,
"total_deliveries": 123,
"acceptance_rate": 123,
"acceptance_rate_window": "<string>"
}
}{
"message": "<string>"
}List recent events
Returns retained customer-readable events and aggregate destination-delivery acceptance metrics.
GET
/
dashboard
/
events
List recent events
Authorizations
Per-tracker bearer secret. It authenticates only the Signal tracker represented by the credential.
Query Parameters
Events per page, capped at 100.
⌘I